Skip to main content
GET
/
v1
/
crm
/
leads
/
{leadId}
/
equipment-orders
/
{equipmentOrderId}
/
file-build-type
Get File Build Type
curl --request GET \
  --url https://api.example.com/v1/crm/leads/{leadId}/equipment-orders/{equipmentOrderId}/file-build-type \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "equipmentOrderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "other": [],
  "autoBatchTime": "<string>",
  "timezone": "<string>"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

leadId
string
required
equipmentOrderId
string
required

Response

The file build type configuration for the equipment order.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
equipmentOrderId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
pricingEntryType
enum<string> | null
required
Available options:
cash_price,
card_price
industryType
enum<string> | null
required
Available options:
retail,
restaurant
tipOptions
enum<string> | null
required
Available options:
tip_line,
tip_prompt
other
enum<string>[] | null
required
Available options:
server,
avs_cvv2
autoBatchTime
string | null
required
Maximum string length: 48
timezone
string | null
required
Maximum string length: 48